Subject: [Patch V2 2/2] i2c: mv64xxx: Remove internal compatible string from Documentation

From: [email-masked] (Arnd Bergmann)
Date: Tue, 29 Jul 2014 12:21:56 +0200

On Monday 28 July 2014 12:29:13 Jason Gunthorpe wrote:
> On Mon, Jul 28, 2014 at 03:51:27PM +0200, Arnd Bergmann wrote:
> 
> > I remember this being discussed when the quirk was initially added,
> > but it seemed cleaner to handle this in the platform code at the time
> > when it was just for one particular board. Now that it's basically
> > an accepted feature of the i2c device that you have to know the
> > SoC version, that should probably become a proper API.
> 
> Reading the SOC ID (which has to come from a PCI-E controller) is
> already known to mess up PCI-E. IMHO, reading it should be minimized,
> unless we can figure out how to fix that.
> 
> At some point we need to push back on the bootloader situation and
> require the kernel to be booted with a correct DT.
> 
> All the infrastructure was already provided for this, I'm not sure how
> we got into the situation where it was OK for bootloaders to ignore
> the DT requirements and it is the kernel's job to fix it 

Thomas argued that it's always possible to identify the revision
and that we already need that anyway to work around broken dts file
for ax3, so it would be easier to generalize that hack.

Everybody else (except me) seemed happy with that idea, so I eventually
gave up arguing against it.

	Arnd